#version 430

layout(location = 0) in vec3 position;

uniform mat4 u_transform;
uniform mat4 u_viewProjection;

uniform sampler2D bloomTexture;

void main()
{
	//matrix multiplication is not commutative
	gl_Position = u_viewProjection * u_transform * vec4(position, 1.0);

};